#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		dictdir		%{_datadir}/cracklib
%define		dictpath	%{dictdir}/pw_dict
#-----------------------------------------------------------------------------
Name		:	cracklib
Version		:	2.9.11
Release		:	17.0.10.rel%{?dist}
Summary		:	A password-checking library
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD or GPLv2+
URL		:	https://github.com/cracklib

Source0		:	%{name}-%{version}.tar.xz
Source1		:	%{name}-words-%{version}.xz

#-----------------------------------------------------------------------------
Requires	:	%{_bindir}/gunzip
#-----------------------------------------------------------------------------
%description
CrackLib tests passwords to determine whether they match certain
security-oriented characteristics, with the purpose of stopping users
from choosing passwords that are easy to guess. CrackLib performs
several tests on passwords: it tries to generate words from a username
and gecos entry and checks those words against the password; it checks
for simplistic patterns in passwords; and it checks for the password
in a dictionary.

CrackLib is actually a library containing a particular C function
which is used to check the password, as well as other C
functions. CrackLib is not a replacement for a passwd program; it must
be used in conjunction with an existing passwd program.

Install the cracklib package if you need a program to check users'
passwords to see if they are at least minimally secure. If you install
CrackLib, you will also want to install the cracklib-dicts package.

#-----------------------------------------------------------------------------
%files			-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS NEWS README
%{_sbindir}/%{name}-*
%{_sbindir}/create-%{name}-dict
%{_libdir}/libcrack.so.*
%{_mandir}/man8/%{name}-*.8.gz

#=============================================================================
%package		devel
Summary		:	Headers for developing programs that will use %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The cracklib-devel package contains the header files and libraries needed
for compiling applications which use cracklib.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/*.h
%{_libdir}/libcrack.so
%{_mandir}/man3/FascistCheck.3.gz

#=============================================================================
%package		dicts
Summary		:	The standard CrackLib dictionaries

#-----------------------------------------------------------------------------
Requires	:	%{name}	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		dicts
The cracklib-dicts package includes the CrackLib
dictionaries.
CrackLib will need to use the dictionary appropriate
to your system, which is normally put in
/usr/share/dict/words.
Cracklib-dicts also contains the utilities necessary
for the creation of new dictionaries.
 
If you are installing CrackLib, you should also install cracklib-dicts.

#-----------------------------------------------------------------------------
%files			dicts
%defattr(-,root,root,-)
%{_datadir}/%{name}/%{name}.magic
%{_datadir}/%{name}/pw_dict.*

#=============================================================================
%prep
%setup -q

%{__mkdir_p} cracklib-dicts
cp -fv %{SOURCE1} cracklib-dicts/

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--localstatedir=%{_var}				\
	--disable-static				\
	--with-default-dict=%{dictpath}			\
	--without-python				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete


rm -f %{buildroot}%{dictdir}/cracklib-small

./util/cracklib-format					\
	cracklib-dicts/*				\
	dicts/cracklib-small				\
	| ./util/cracklib-packer %{buildroot}%{dictpath}


%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
